<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="cn.ysk.cashier.mybatis.mapper.TbShopOpenIdMapper">

    <resultMap id="BaseResultMap" type="cn.ysk.cashier.mybatis.entity.TbShopOpenId">
            <id property="id" column="id" jdbcType="INTEGER"/>
            <result property="shop_id" column="shop_id" jdbcType="INTEGER"/>
            <result property="open_id" column="open_id" jdbcType="VARCHAR"/>
            <result property="status" column="status" jdbcType="INTEGER"/>
            <result property="create_time" column="create_time" jdbcType="TIMESTAMP"/>
            <result property="update_time" column="update_time" jdbcType="TIMESTAMP"/>
            <result property="type" column="type" jdbcType="TINYINT"/>
            <result property="nickname" column="nickname" jdbcType="VARCHAR"/>
            <result property="avatar" column="avatar" jdbcType="VARCHAR"/>
    </resultMap>

    <sql id="Base_Column_List">
        id,shop_id,open_id,
        status,create_time,update_time,
        type,nickname,avatar
    </sql>

</mapper>
